Page MenuHomePhabricator

Period of time resets to 1 hour in the watchlist
Closed, ResolvedPublic

Description

When viewing the watchlist and then choosing any period of time to display and clicking the "Show" button, the selected period of time is used as expected, but the dropdown box resets to displaying "1 hour". This should not happen, though. Instead, the dropdown box should display what the user had selected before clicking the button.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 13 2018, 6:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Pipetricker added a subscriber: Pipetricker.EditedJul 28 2018, 9:30 AM

Note: this concerns the "unimproved" watchlist.

Workaround: set "Days to show in watchlist" on the Watchlist tab in your Preferences to a value that works, such as 5 or a fraction close to the value you want, such as 7.1 (seven point one).

Change 449011 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/core@master] Treat all time values on Special:Watchlist as floats

https://gerrit.wikimedia.org/r/449011

Change 449011 merged by jenkins-bot:
[mediawiki/core@master] Treat all time values on Special:Watchlist as floats

https://gerrit.wikimedia.org/r/449011

matmarex closed this task as Resolved.Jul 30 2018, 12:33 PM
matmarex removed a project: Patch-For-Review.

Change 449170 had a related patch set uploaded (by Bartosz Dziewoński; owner: Matěj Suchánek):
[mediawiki/core@REL1_31] Treat all time values on Special:Watchlist as floats

https://gerrit.wikimedia.org/r/449170

Change 449170 merged by jenkins-bot:
[mediawiki/core@REL1_31] Treat all time values on Special:Watchlist as floats

https://gerrit.wikimedia.org/r/449170